# Package org.apache.groovy.groovysh.jline

- Interface Summary
  Interface | Description
  --- | ---
  GroovyEngine.Cloner |

- Class Summary
  Class | Description
  --- | ---
  GroovyBuiltins |
  GroovyCommands |
  GroovyConsoleEngine |
  GroovyEngine | Implements Groovy ScriptEngine.
  GroovyEngine.AccessRules |
  GroovyEngine.EngineClassLoader |
  GroovyPosixCommands |
  GroovyPosixContext |
  GroovySystemRegistry |
  JrtJavaBasePackages | Helper class to resolve java.base module classes
  MavenCoordinateCompleter |
  ObjectInspector |
  PackageHelper |
  Snippet |
  SystemRegistryImpl | Aggregate command registries.
  SystemRegistryImpl.CommandData |
  Utils |

- Enum Summary
  Enum | Description
  --- | ---
  GroovyEngine.Format |
  SnippetType |
  SystemRegistryImpl.Pipe |

- Exception Summary
  Exception | Description
  --- | ---
  SystemRegistryImpl.UnknownCommandException |